BEGIN  {
	#extract information from HTML
	saveHeader = 1
	separator = "\t"
	header = "name" separator "account" separator "balance" separator "profit" separator "equity"
	}

/<meta name="DESCRIPTION" content="Reports (.+) - / {
			data = gensub(/^.*<meta name="DESCRIPTION" content="Reports (.+) - .*/, "\\1", 1)
		}

/<table .*class="usinfo"/ {
			do {
				getline
				if ($0 ~ /<br>[[:digit:]]+<\/span><br>/)
					data = data separator gensub(/^.*<br>([[:digit:]]+)<\/span><br>.*$/, "\\1", 1)
			} while($0 !~ /<\/tr/)
		}
/<td.*class="table_balance"/ {
			do {
				getline
				if ($0 ~ /<tr/) column = 0
				if ($0 ~ /<td/) column++
				if (column == 2) { #balance, profit, equity
					split($0, a, /<[^>]+>/)
					gsub(/[[:blank:]]+/, "", a[2])
					data = data separator a[2]
				}
			} while($0 !~ /<\/table/)
		}

/id="reports"/	{ 
		started = 1
		}
/^<tr/	{
	if (started){
		column = 0
		do {
			getline
			if ($0 ~ /<td/) column++
			#ouput header
			if (saveHeader && (column == 1) && ($0 ~ /<\/td/))
			{	
				split($0, a, /<[^>]+>/)
				gsub(/(^[[:blank:]]+)|([[:blank:]]+$)/, "", a[1])
				header = header separator a[1]
			}
			if (column == 2)
			{
				split($0, a, /<[^>]+>/)
				gsub(/[[:blank:]]+|(&nbsp;)/, "", a[2])
				data = data separator a[2]
			}
		} while( $0 !~ /<\/tr/)
	} 
}
/<\/table/	{ 
	if (started) {
		if (saveHeader) {
			saveHeader = 0
			print header
		}
		print data
		data = ""
		started = 0
	}
		}
